// creator  : weidu.exe (version 23100)
// argument : DYNAHP.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DYNAHP~

IF ~False()~ THEN BEGIN 0 // from:
  SAY #16113 /* ~I have a terrible amount of coin to dispense with. I can always do so elsewhere.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~False()~ THEN BEGIN 1 // from:
  SAY #16114 /* ~I'd like to see what services you have to offer. Either that or I could leave.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~False()~ THEN BEGIN 2 // from:
  SAY #16115 /* ~What is going on, Jaheira? I need you here in the party.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~False()~ THEN BEGIN 3 // from:
  SAY #16116 /* ~What is this about? I won't have outsiders breaking up my group. I am the leader here.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~!Dead("Minsc")
~ THEN BEGIN 4 // from:
  SAY #16117 /* ~I'll not stay where I'm not welcome.  Excuse me.~ */
  IF ~~ THEN REPLY #16122 /* ~(Hurmm). Coin is... always... welcome. You will find the Copper Coronet able to fulfill your needs, whether drink, rest, or other sorts... of entertainment. (hurrrm)~ */ DO ~~ GOTO 6
  IF ~~ THEN REPLY #16124 /* ~Of course.  (hurrm)  I would expect... nothing less.~ */ DO ~~ GOTO 7
END

IF ~Dead("Minsc")
~ THEN BEGIN 5 // from:
  SAY #16118 /* ~(hurrm)  Yes.  Well.  I am Lehtinan.  Proprietor of the Copper Coronet, if you will.  (hurrm)  Welcome.~ */
  IF ~~ THEN REPLY #16123 /* ~You do not have to leave, stranger. (hurrm) Not yet. But if you wish to purchase something you must speak to Bernard.  He... handles my transactions. (hurrm)~ */ DO ~~ GOTO 6
  IF ~~ THEN REPLY #16125 /* ~Perhaps I could see what services you have available?~ */ DO ~~ GOTO 8
END

IF ~~ THEN BEGIN 6 // from: 5.0 4.0
  SAY #16119 /* ~Grizzly Bear~ */
  IF ~~ THEN DO ~ActionOverride("Minsc",ChangeAIScript("",DEFAULT))
ActionOverride("Minsc",LeaveParty())
ActionOverride("Minsc",SetDialog("MinscP"))
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 4.1
  SAY #16120 /* ~Grizzly Bear~ */
  IF ~~ THEN DO ~ActionOverride("Minsc",JoinParty())
JoinParty()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 5.1
  SAY #16121 /* ~It is an odd time.  (hurrrm)  Strangers can be... dangerous.  If one is not careful.  (hurrrm)  You wish something?~ */
  IF ~~ THEN DO ~JoinParty()
~ EXIT
END
